* Program............: CMDDEMO.PRG
* Date...............: 07/19/92
* Versions...........: dBASE IV 1.1 , 1.5
* Author.............: Terry Blankenship
*                      Blankenship Resources
*                      1821 Westlake Dr. Suite #123
*                      Austin, Texas   78746
*                      (512) 327-3718 Voice/Fax
*                      BORBBS - Killshot
*                      PRODIGY BCFW31A
*
* Notes:
* ------
* Demonstrates how to implement and use the CMDLNE procedure
* in your application programs run under Runtime.
* ----

*--- Establish environment turn talk, status and cursor off

IF SET("TALK") = "ON"
   SET TALK OFF
   m_talk = "ON"
ELSE
   m_talk = "OFF"
ENDIF

IF SET("STAT") = "ON"
   SET STAT OFF
   m_STAT = "ON"
ELSE
   m_STAT = "OFF"
ENDIF

*--- turn off cursor so it doesn't show on counter

SET CURSOR OFF

*--- Establish Hot Key to Call CmdLne procedure with ON KEY LABEL

ON KEY LABEL ALT-L DO CmdLne                && Set to your preference

x = 0                                       && variable for counter

*--- Display info to screen with box for counter
@ 0,0
TEXT
                                                          Ŀ
    CMDDEMO.PRG  Version 1.0  07/19/92                     x =        
                                                          

    This program illustrates how to use the CmdLne Procedure which
    emulates the dBASE Dot Prompt in Runtime Applications. The
    program is also useful when developing applications within
    dBASE.

    The CMDDEMO will count to 100,000 then terminate after any key
    is pressed.  At any time the user may Hit the Alt+L keys to
    call CmdLne. The current process will be suspended and a Dot
    Prompt emulation screen will appear.  From this screen the
    user can enter any dBASE command like

        DISP STATUS

    To return to the application enter

        QUIT

    To terminate the program early Hit Alt+L and enter x= 100000
    then enter quit.
ENDTEXT

*--- Loop to count to 100,000

DO WHILE x < 100000
  x = x + 1
  @ 02,64 SAY x PICTURE "999999"            && Display result on screen
ENDDO
?? chr(7)                                   && Sound bell

*--- Message for user to hit any key to quit
@ 22,0
WAIT "Press any key to terminate program..."

*--- Re-establish environment
SET TALK &m_talk
SET STATUS &m_STAT
SET CURSOR ON

RETURN
***EOM CMDDEMO.PRG***
